deploy:
  stage: deploy
  tags:
    - devops
    - infra
  image: hashicorp/terraform:latest
  before_script:
    - yum update -y && yum install -y unzip
    - wget https://releases.hashicorp.com/terraform/1.4.6/terraform_1.4.6_linux_amd64.zip
    - unzip terraform_1.4.6_linux_amd64.zip
    - sudo mv terraform /usr/local/bin/
  script:
    - export AWS_ACCESS_KEY_ID=$AWS_ACCESS_KEY_ID
    - export AWS_SECRET_ACCESS_KEY=$AWS_SECRET_ACCESS_KEY
    - terraform version
    - terraform init
    - terraform fmt -check=true -diff=true -write=false
    - terraform validate
    - terraform plan -var "newkey=${PRIVATE_KEY}"
    - terraform apply -var "newkey=${PRIVATE_KEY}" -auto-approve 
  when: manual
